// SKETCH per generare sequenze logiche ripetitive e testare il funzionamento di una porta logica
//--- dichiarazione iniziale delle variabili globali (opzionale in questo caso) -----------
  //per maggiore chiarezza denominiamo i pin 7 e 8 come BIT_A e BIT_B
#define BIT_A 7    
#define BIT_B 8
#define BIT_Y 2  //bit letto sull'uscita Y della porta
bool stato_Y; // VARIABILE BOOLEANA CHE CONTIENE LO STATO (O,l O 1, H) DELL'USCITA
//--------------------- SETUP INIZIALE -----------------------------------------------------
void setup() {
  // Le istruzioni per il setup iniziale vengono eseguite una sola volta:
  Serial.begin(9600);
  pinMode(BIT_A,OUTPUT);  // imposta come pin di uscita i pin BIT_A (7) e BIT_B /8)
  pinMode(BIT_B,OUTPUT);
  pinMode(BIT_Y,INPUT);  // imposta come pin di ingresso il pin BIT_Y (2)
}
//-------------------- ISTRUZIONI ESEGUITE IN MODO RIPETITIVO --------------------------------------
void loop() {
  digitalWrite(BIT_A,LOW);  // porta a livello basso i pin 7 e 8  e 8 per avere  
  digitalWrite(BIT_B,LOW);  // sulle due uscite la coppia di bit: BIT_A = 0 BIT_B= 0
  stato_Y=digitalRead(BIT_Y);
  Serial.print("Bit A: 0 (L) ; Bit B: 0 (L) --> Uscita Y: ");
  Serial.println(stato_Y);
  delay(1000);                 // mantieni i livelli per 1 ms
  digitalWrite(BIT_A,LOW);  // porta a livello basso il pin 7 e alto il pin 8 per avere  
  digitalWrite(BIT_B,HIGH); // sulle due uscite la coppia di bit: BIT_A = 0 BIT_B= 1
  stato_Y=digitalRead(BIT_Y);
  Serial.print("Bit A: 0 (L) ; Bit B: 1 (H) --> Uscita Y: ");
  Serial.println(stato_Y);
  delay(1000);                               // mantieni i livelli per 1 ms
  digitalWrite(BIT_A,HIGH); // porta a livello alto il pin 7 e basso il pin 8 per avere  
  digitalWrite(BIT_B,LOW);  // sulle due uscite la coppia di bit: BIT_A = 1 BIT_B= 0
  stato_Y=digitalRead(BIT_Y);
  Serial.print("Bit A: 1 (H) ; Bit B: 0 (L) --> Uscita Y: ");
  Serial.println(stato_Y);
  delay(1000);                 // mantieni i livelli per 1 ms
  digitalWrite(BIT_A,HIGH);  // porta a livello basso il pin 7 e alto il pin 8 per avere 
  digitalWrite(BIT_B,HIGH);  // sulle due uscite la coppia di bit: BIT_A = 1 BIT_B = 1
  stato_Y=digitalRead(BIT_Y);
  Serial.print("Bit A: 1 (H) ; Bit B: 1 (H) --> Uscita Y: ");
  Serial.println(stato_Y);
  delay(1000);                  // mantieni i livelli per 1 ms
}
//---------------------------------------------------------------------------------------------------
